# Class Visible

java.lang.Object
jspecview.common.Visible

All Implemented Interfaces:
  `VisibleInterface`

public class Visible extends Object implements VisibleInterface
Visible class - for prediction of colour from visible spectrum see Robert J. Lancashire and Craig A.D. Walters Colour prediction with JSpecView http://www.chemmantis.com/Article.aspx?id=850 revised 24th Oct 2021 to redo curve fitting for D65 data and Darren L. Williams, Thomas J. Flaherty, Casie L. Jupe, Stephanie A. Coleman, Kara A. Marquez, and Jamie J. Stanton Beyond [lambda]max: Transforming Visible Spectra into 24-Bit Color Values J. Chem. Educ., 2007, 84 (11), p 1873 DOI: 10.1021/ed084p1873 http://pubs.acs.org/doi/abs/10.1021/ed084p1873 and Michael Stokes (Hewlett-Packard), Matthew Anderson (Microsoft), Srinivasan Chandrasekar (Microsoft), Ricardo Motta (Hewlett-Packard) A Standard Default Color Space for the Internet: sRGB Version 1.10, November 5, 1996 http://www.color.org/sRGB.xalter

Author:
  Bob Hanson, Craig Walters, Prof Robert J. Lancashire

## Constructor Summary

Constructors
Constructor
Description
`Visible()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getColour(Spectrum spec, boolean useFitted)`
Returns the integer color of a solution based on its visible spectrum.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Visible

public Visible()

## Method Details

### getColour

public int getColour(Spectrum spec, boolean useFitted)
Returns the integer color of a solution based on its visible spectrum.

Specified by:
  `getColour` in interface `VisibleInterface`
Parameters:
  `spec` -
  `useFitted` - if true, use curve fitted equations for CIE curves and every point; if false, use exact CIE 5-nm data and interpolated values
Returns:
  0xFFRRGGBB